package com.ruoyi.system.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import java.io.Serializable;
import java.util.Date;

/**
 * App查询患者诊断记录列表
 *
 * @author gongzhenkun
 * @date 2022/8/24 17:32
 */
@ApiModel(value = "AppPatientRecordReq", description = "App查询患者诊断记录列表")
public class AppPatientRecordReq implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 档案号
     */
    @ApiModelProperty("档案号")
    private String identifier;

    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

    /**
     * 用户性别（0男 1女 2未知）
     */
    @ApiModelProperty("用户性别: 0=男,1=女,2=未知")
    private String sex;

    /**
     * 年龄
     */
    @ApiModelProperty("年龄")
    @Max(120)
    @Min(-1)
    private Integer patientAge;

    /**
     * 就诊时间
     */
    @ApiModelProperty("就诊时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String startTime;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Integer getPatientAge() {
        return patientAge;
    }

    public void setPatientAge(Integer patientAge) {
        this.patientAge = patientAge;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }
}
