package com.ruoyi.system.service.impl;

import com.ruoyi.common.config.RuoYiConfig;
import com.ruoyi.common.utils.file.FileUtils;
import com.ruoyi.system.domain.AppVersionsInfo;
import com.ruoyi.system.service.IAppVersionService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * app版本服务impl
 *
 * @author gongzhenkun
 * @date 2022/10/08
 */
@Service
public class AppVersionServiceImpl implements IAppVersionService {
    /**
     * 查询所有版本
     *
     * @param folderPath 文件夹路径
     * @return {@code List<String>}
     */
    @Override
    public AppVersionsInfo selectAllVersions(String folderPath) {
        AppVersionsInfo appVersionsInfo = new AppVersionsInfo();
        List<String> files = FileUtils.scanFilesWithPath(folderPath);
        files = files.stream()
                .filter(s -> s.contains(".apk"))
                .map(s -> s.replaceAll("\\\\", "/"))
                .map(s -> s.replace(RuoYiConfig.getProfile(), "/profile/"))
                .collect(Collectors.toList());
        String relativePath = files.get(0);
        String baseURL = relativePath.substring(0, relativePath.lastIndexOf("/") + 1);
        appVersionsInfo.setBaseURL(baseURL);
        appVersionsInfo.setVersions(files.stream().map(s -> s.replace(baseURL, "")).collect(Collectors.toList()));
        return appVersionsInfo;
    }
}
